API reference
API keys
Keys for your own systems and what each may do.
GET/api-keys
List API keys
Only the start of each key is shown.
Needs the permission api_keys:manage.
curl -X GET https://crm.anibrosdesign.com/api/v1/api-keys \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 403 429
POST/api-keys
Create an API key
The key is shown once.
Needs the permission api_keys:manage.
| Parameter | In | Type | Notes |
|---|---|---|---|
Idempotency-Key | header | string | Any unique string up to 128 characters. Repeating the request with the same key returns the first response. up to 128 characters |
| Body field | Type | Notes |
|---|---|---|
name required | string | at least 1 characters. up to 100 characters |
role | one of tenant_owner, tenant_admin, sales_manager, sales_agent, broker, marketing_manager, marketing_analyst, executive_readonly, auditor | default "sales_agent" |
scopes required | list of one of leads:read, leads:create, leads:update, leads:delete, leads:assign, leads:claim, leads:import, leads:export, leads:bulk, contacts:read, contacts:create, contacts:update, contacts:delete, contacts:merge, … | at least 1 items. up to 60 items |
expiresInDays | integer | at least 1. up to 730 |
curl -X POST https://crm.anibrosdesign.com/api/v1/api-keys \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"name":"text","role":"sales_agent","scopes":["leads:read"]}'Responses:
201 400 401 402 403 429
GET/api-keys/scopes
Get scopes (api keys)
Needs the permission api_keys:manage.
curl -X GET https://crm.anibrosdesign.com/api/v1/api-keys/scopes \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 403 429
GET/api-keys/templates
Get templates (api keys)
Needs the permission api_keys:manage.
curl -X GET https://crm.anibrosdesign.com/api/v1/api-keys/templates \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 403 429
DELETE/api-keys/{id}
Delete a api key
Needs the permission api_keys:manage.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X DELETE https://crm.anibrosdesign.com/api/v1/api-keys/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
204 400 401 402 403 404 429
Something missing or unclear? Tell us.